Get Floorplan Tables

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Lightspeed Restaurant K-Series MCP server": {
  "url": "https://api-docs.lsk.lightspeed.app/mcp"
}
Close
GET /o/op/data/{businessLocationId}/floorplans/{floorPlanId}/tables

Returns the tables for a specific floorplan of a business location

Path parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

  • floorPlanId integer(int64) Required

    The unique identifier for the floor plan. See Get Floorplans

Responses

  • 200 application/json

    Tables

    Hide response attributes Show response attributes object
    • number integer(int32)

      The table number.

    • reference string

      The table reference.

    • id string

      The unique identifier for this table.

    • active boolean

      If the table is active.

    • description string

      The table description.

    • defaultClientCount integer(int32)

      The default client count for this table.

GET /o/op/data/{businessLocationId}/floorplans/{floorPlanId}/tables
curl \
 --request GET 'https://api.trial.lsk.lightspeed.app/o/op/data/45454565682155/floorplans/45454565682155/tables' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "number": 1,
    "reference": "abcdefg123456",
    "id": "141948669132977",
    "active": true,
    "description": "Table 1",
    "defaultClientCount": 4
  }
]